Name:		cvsplot
Version:	1.7.4
Release:	6%{?dist}

Summary:	Collect statistics from CVS controlled files

License:	GPLv2
Group:		Development/Tools
URL:		http://cvsplot.sourceforge.net/
Source:		http://download.sourceforge.net/cvsplot/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
Requires:	cvs >= 1.11.1, gnuplot, perl-Date-Manip >= 5.42
Requires:	perl(String::ShellQuote)

Patch0:		cvsplot-1.7.4.gnuplot.patch

%description
Cvsplot is used for collecting statistics from CVS controlled files.
It produces simple statistics such as how the total number of files
and lines of code change against time.


%prep
%setup -q
%patch0

%build


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 cvsplot.pl $RPM_BUILD_ROOT%{_bindir}/cvsplot


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README
%{_bindir}/cvsplot


%changelog
* Sat Mar 1  2008 Marek Mahut <mmahut@fedoraproject.org> - 1.7.4-6
- Updating dependency name (BZ#427542)

* Sun Aug 19 2007 Marek Mahut <mmahut redhat.com> - 1.7.4-5
- Updating license tag

* Sat Jun 23 2007 Marek Mahut <mmahut redhat.com> - 1.7.4-4
- rebuild

* Thu Jun 14 2007 Marek Mahut <mmahut redhat.com> - 1.7.4-3
- Added patch for compatibility with gnuplot 4
- Fixing spec file

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.7.4-2
- rebuilt

* Fri Dec  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 1.7.4-1
- Update to 1.7.4.

* Thu Jul  1 2004 Ville Skyttä <ville.skytta at iki.fi> - 1.7.3-0.fdr.1
- Update to 1.7.3.

* Sun Mar 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 1.7.2-0.fdr.1
- Update to 1.7.2.

* Sun Sep 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.7.1-0.fdr.3
- Require perl-DateManip >= 5.42 to get rid of UTF-8 warnings.

* Sun Sep 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.7.1-0.fdr.2
- Remove .pl extension from executable.
- Remove #---- section markers, other spec cleanups.

* Tue May 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.7.1-0.fdr.1
- Update to 1.7.1.

* Tue May 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.7.0-0.fdr.1
- Update to 1.7.0.

* Thu May  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.6.5-0.fdr.1
- Update to 1.6.5.

* Sun Apr 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.6.4-0.fdr.1
- Update to 1.6.4.
- Save .spec in UTF-8.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.6.3-0.fdr.1
- Update to current Fedora guidelines.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.6.3-1.fedora.1
- First Fedora release.
